//Formulieren Sie SYSTEM1 mit einem Zustandsregler.
pa=0.0246580;
pb=7.9769475;
pc=280.08032;

A   =[ 
        0, 1, 0,    0;
        0, 0, 1,    0;
        0, 0, 0,    1;
        0, 0,-pc/pa,-pb/pa];

B   =[
      0;
      0;
      0;
      1/pa];

wunsch_eigenwerte = [
  - 1                       
  - 285.16832               
  - 19.167553 + 7.6971069*%i  
  - 19.167553 - 7.6971069*%i  ]; 

//R   =[r1,r2,r3,r4];
R=ppol(A,B,wunsch_eigenwerte)

R=[R(1),R(2),R(3),0];

Azust = A-B*R;

disp(spec(A))
disp(spec(A-B*R))

Azust = A-B*R;

disp(Azust)

pp=-A(4,3);
qq=-A(4,4);

QR   = B*R;

Ppid = QR(4,2);
Ipid = QR(4,1);
Dpid = QR(4,3);

//Rpid = P+I/s+D*s = (P*s+I+D*s*s)/s

s = poly(0,"s");
Gpid = syslin('c',[1],[s*s*s+s*s*qq+s*pp]);
//Gpid = syslin('c',[1],[s*s+qq+pp/s]);
//Gpid = syslin('c',[s],[s*s*s+s*qq+pp]);
Rpid = syslin('c',[Ppid*s+Ipid+Dpid*s*s],[s]);

//Prüfen, ob diese Aufteilung dem alten System entspricht:
QQ = (Rpid*Gpid)/(1+Rpid*Gpid);
streckeqq=tf2ss(QQ)
Aqq = streckeqq(2)
disp(spec(Aqq))







